
import netscape.util.*;

    /*
     * Container class for distributed TDL_REF testing
     * in DataTaskDefinition.validateTaskForCxxGeneration().
     * with the RunOnSubcomponentObject interface.
     *
     * Passed through: DataComponent.runOnSubcomponentFraction().
     */

public class RunOnSubcomponent_TdlRefDistributedData
{
  protected int                         statementsIndex;
  protected Vector                      statements;
  protected Hashtable                   onAgentHashtable;
  protected DataValidateCodeReturnValue returnValue;

  public RunOnSubcomponent_TdlRefDistributedData (
			int                         theStatementsIndex,
			Vector                      theStatements,
			Hashtable                   theOnAgentHashtable,
			DataValidateCodeReturnValue theReturnValue      )
  {
    statementsIndex  = theStatementsIndex;
    statements       = theStatements;
    onAgentHashtable = theOnAgentHashtable;
    returnValue      = theReturnValue;
  }

  public int                   getStatementsIndex() { return statementsIndex; }
  public Vector                getStatements()      { return statements;      }
  public Hashtable             getOnAgentHashtable(){ return onAgentHashtable;}
  public DataValidateCodeReturnValue getReturnValue(){return returnValue;     }
}
